<?php

namespace app\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\models\Mereport;
use app\base\Converter;

/**
 * MereportSearch represents the model behind the search form about `app\models\Mereport`.
 */
class MereportSearch extends Mereport
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id','create_time', 'create_user', 'update_time', 'update_user'], 'integer'],
            [['Survey', 'Location', 'status','record_date'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Mereport::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
			'sort'=>[
                'defaultOrder'=>['record_date'=> SORT_DESC],
            ],
        ]);
         if(empty($params))
            $params = Yii::$app->request->post();
        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'Location' => $this->Location,            
            'create_time' => $this->create_time,
            'create_user' => $this->create_user,
            'update_time' => $this->update_time,
            'update_user' => $this->update_user,
			'record_date' => Converter::toUnixTimeformat($this->record_date),
			
        ]);

        $query->andFilterWhere(['like', 'Survey', $this->Survey])                
            ->andFilterWhere(['like', 'status', $this->status]);

        return $dataProvider;
    }
}
